Name:           s6-rc
Version:        0.5.1.2
Release:        1%{?dist}
Summary:        A complete service manager for s6 systems.

License:        ISC
URL:            https://skarnet.org/software/%{name}/
Source0:        https://skarnet.org/software/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}.patch

BuildRequires:  make >= 3.81
BuildRequires:  gcc
BuildRequires:  skalibs-devel >= 2.9.2.0
BuildRequires:  execline-devel >= 2.6.0.0
BuildRequires:  s6-devel >= 2.9.1.0

Requires:       skalibs >= 2.9.2.0
Requires:       execline >= 2.6.0.0
Requires:       s6 >= 2.9.1.0

%description
s6-rc is a service manager for s6-based systems, i.e. a suite of programs that
can start and stop services, both long-running daemons and one-time
initialization scripts, in the proper order according to a dependency tree.
It ensures that long-running daemons are supervised by the s6 infrastructure,
and that one-time scripts are also run in a controlled environment.

%package devel
Summary:        %{name} development files
Provides:       %{name}-devel

%description devel
This package contains necessary header files for %{name} development.

%prep
%autosetup -p1

%build
%configure --libexecdir=%{_libexecdir}/%{name}\
 --enable-shared\
 --disable-static\
 --disable-allstatic\
 --with-sysdeps=/usr/lib64/skalibs/sysdeps
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%doc NEWS
%doc AUTHORS
%doc doc
%doc examples
%{_libdir}/libs6rc.so.0.5*
%{_bindir}/*
%{_libexecdir}/%{name}/*

%files devel
%{_includedir}/%{name}/*
%{_libdir}/libs6rc.so

%changelog
* Tue Jun 16 2020 Marcin Skarbek <rpm@skarbek.name> 0.5.1.2-1
- Initial package
